# $Revision: 1.13 $, $Date: 2010/06/30 07:03:35 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Noekeon
Summary:	Crypt::Noekeon - Crypt::CBC-compliant block cipher
Summary(pl.UTF-8):	Crypt::Noekeon - szyfr blokowy kompatybilny z Crypt::CBC
Name:		perl-Crypt-Noekeon
Version:	1.0.2
Release:	4
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	51fc0d4486e2f98cf433df4cf6c4dc6a
URL:		http://search.cpan.org/dist/Crypt-Noekeon/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Noekeon is a 128-bit key, 128-bit block cipher designed by Joan
Daemen, Michael Peeters, Vincent Rijmen, and Gilles Van Assche.
Noekeon was submitted as a NESSIE candidate. This module supports
the Crypt::CBC interface.

%description -l pl.UTF-8
Noekeon jest 128-bitowym szyfrem blokowym ze 128-bitowym kluczem,
opracowanym przez Joan Daemen, Michaela Peetersa, Vincenta Rijmena
i Gillesa Van Assche. Noekeon został zgłoszony jako kandydat do
NESSIE. Ten moduł obsługuje interfejs Crypt::CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
for f in * ; do
	sed -e "s@#!/usr/local/bin/perl@#!/usr/bin/perl@" $f \
		> $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Noekeon.pm
%dir %{perl_vendorarch}/auto/Crypt/Noekeon
%{perl_vendorarch}/auto/Crypt/Noekeon/Noekeon.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Noekeon/Noekeon.so
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Noekeon.spec,v $
Revision 1.13  2010/06/30 07:03:35  amateja
- release 4

Revision 1.12  2010/06/06 08:33:09  arekm
- release 3

Revision 1.11  2008/03/15 20:24:11  qboosh
- generic URL

Revision 1.10  2008-02-10 12:04:12  arekm
- rel 2

Revision 1.9  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.8  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.6  2004/11/03 22:30:13  paladine
- formatting

Revision 1.5  2004/05/06 18:43:06  ankry
- fixed perl-devel BR

Revision 1.4  2004/05/05 11:02:11  ankry
- cosmetics

Revision 1.3  2004/04/20 09:46:29  ankry
- bcond fixes/porting

Revision 1.2  2003/09/15 08:17:57  adamg
- updated to 1.0.2

Revision 1.1  2003/06/17 22:22:49  qboosh
- new
